using System;
using System.Windows.Forms;
using WindowsLive.Writer.Api;

namespace InsertFileViaFtp
{
    [WriterPlugin("605EEA63-B54B-4e6d-A290-F5E9E8229F91", "File (via FTP)",
    ImagePath = "Images.InsertFileViaFtp.png",
     PublisherUrl = "http://www.kenandsarah.co.uk/weblog/",
     Description = "Upload files (via FTP) to your blog and get a reference to the url.",
     Name = "Insert File (via FTP)")]

    [InsertableContentSource("File (via FTP)")]
    public class InsertFileViaFtp : ContentSource
    {
        public InsertFileViaFtp()
        {
        }


        public override DialogResult CreateContent(IWin32Window dialogOwner, ref string newContent)
        {
            UploadForm uploadForm = new UploadForm();
            if (uploadForm.ShowDialog() == DialogResult.OK)
            {
                newContent = String.Format("<a href=\"{0}\">{1}</a>",uploadForm.linkUrl,uploadForm.displayText);
            }
            return uploadForm.DialogResult;
        }

    }
}
